﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 5034B: (1 year) CAL VER IEEE /5800+5Ch
DATE:                  2009-06-30 11:15:21
AUTHOR:                Fluke
REVISION:              $Revision: 1.8 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       318
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds5034b_5054b_5054be_1yr_ver_ieee_5800_5ch.txt,v $
#    $Date: 2009/06/30 18:11:42 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#@
#@ Models covered:
#@       TDS 5034B, TDS 5054B, TDS 5054BE
#@
#@ Source(s):
#@       TDS5000B Series Digital Phosphor Oscilloscopes
#@       Specification and Performance Verification Manual, PN 071-1420-01
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub UUT Connection GPIB
#        Sub Tek TDS5000B Set Bandwidth & Num_Chan
#        Sub Tek TDS5000B Setup IEEE
#        Sub Tek TDS5000B Self-Test IEEE
#        Sub Tek TDS5000B Sig Path Comp Cal IEEE
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#        Sub Tek TDS5000B Adjust Trig Level IEEE
#        Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800
#        Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5800
#        Sub Tek TDS5000B (1 yr) Channel Delay IEEE /5800
#        Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5800
#        Sub Tek TDS5000B (1 yr) Sample Rate IEEE /5800
#        Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800
#        Sub Tek TDS5000B (1 yr) Trig Sens IEEE /5800
#        Sub Tek TDS5000B (1 yr) Trig Time Acc IEEE /5800
#        Sub Tek TDS5000B (1 yr) Signal Out IEEE /5800
#        Sub Tek TDS5000B (1 yr) Probe Comp IEEE /5800
#
# Required Files:
#        None
#
#@ Additional Equipment Required:
#@       2 Way Power Splitter
#@       Attenuator 2X
#@       BNC T(f-m-f) adapter
#@       Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#@       SMA T(f-m-f) adapter
#@       Cable, 50 Ohm, SMA(m)-(m)
#@       3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#@       2 sets SMA Short
#@       Probe 1X or 10X, such as Tektronix P5050, P6243, or P6245
#@
# The procedure was tested using:
#        Model No  : TDS 5034B
#        Serial No : B010007
#        Options   :
#        Firmware  : CF:91.1CT FV:2.0.9
#
# Average run time during testing :  40 min (include optional test)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C2
  1.003  5800         500MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.010  DISP         later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method

  1.017  DISP         Ensure a minimum UUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  HEAD         PRELIMINARY INSTRUCTIONS
  1.019  TARGET
  1.020  CALL         Sub Tek TDS5000B Setup IEEE
  1.021  IEEE2        *RST

  1.022  HEAD         UUT IDENTIFICATION
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.024  IF           PSUB("5034B")
  1.025  MATH         Model = "TDS5034B"
  1.026  ELSEIF       PSUB("5054B:")
  1.027  MATH         Model = "TDS5054B"
  1.028  ELSEIF       PSUB("5054BE:")
  1.029  MATH         Model = "TDS5054BE"
  1.030  ELSE
  1.031  MATH         Model = "unsupported model"
  1.032  ENDIF

  1.033  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.034  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.035  IF           NOT(L[1] && L[2])
  1.036  DISP         UUT is an [V @Manufacturer] [V @ModelNum],
  1.036  DISP         not a Tektronix [V Model]!
  1.037  END
  1.038  ENDIF

  1.039  HEAD         EQUIPMENT REQUIREMENTS
  1.040  DISP         The following additional equipment and/or
  1.040  DISP         accessories are required:
  1.040  DISP
  1.040  DISP         - 2 Way Power Splitter
  1.040  DISP         - Attenuator 2X
  1.040  DISP         - BNC T(f-m-f) adapter
  1.040  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.040  DISP         - SMA T(f-m-f) adapter
  1.040  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.040  DISP         - 3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.040  DISP         - 2 sets SMA Short
  1.040  DISP         - Probe 1X or 10X, such as Tek P5050, P6243, or P6245

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    8.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    9.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   10.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   11.   CHANNEL DELAY                      CHANNEL ISOLATION(CH1 IN)
#   12.   CHANNEL ISOLATION(CH1 IN)          CHANNEL ISOLATION(CH2 IN)
#   13.   CHANNEL ISOLATION(CH2 IN)          CHANNEL ISOLATION(CH3 IN)
#   14.   CHANNEL ISOLATION(CH3 IN)          CHANNEL ISOLATION(CH4 IN)
#   15.   CHANNEL ISOLATION(CH4 IN)          SAMPLE RATE AND DELAY TIME ACC
#   16.   SAMPLE RATE AND DELAY TIME ACC     TIME ACC OF PULSE WIDTH TRIG(CH1)
#   17.   DELTA TIME MEASUREMENT ACC(CH1)    EDGE-TRIGGER SENSITIVITY(CH1)
#   18.   DELTA TIME MEASUREMENT ACC(CH2)    DELTA TIME MEASUREMENT ACC(CH1)
#   19.   DELTA TIME MEASUREMENT ACC(CH3)    DELTA TIME MEASUREMENT ACC(CH2)
#   20.   DELTA TIME MEASUREMENT ACC(CH4)    DELTA TIME MEASUREMENT ACC(CH3)
#   21.   TIME ACC OF PULSE WIDTH TRIG(CH1)  DELTA TIME MEASUREMENT ACC(CH4)
#   22.   EDGE-TRIGGER SENSITIVITY(CH1)      CHANNEL DELAY
#   23.   SIGNAL OUT AND AUX TRIGGER OUT     SIGNAL OUT AND AUX TRIGGER OUT
#   24.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.041  CALL         Sub Tek TDS5000B Set Bandwidth & Num_Chan
  1.042  CALL         Sub Tek TDS5000B Self-Test IEEE
  1.043  JMPL         END                          @Abort

  1.044  MATH         @SPCTime = 400
  1.045  CALL         Sub Tek TDS5000B Sig Path Comp Cal IEEE
  1.046  JMPL         END                          @Abort

  1.047  DISP         Connect the 58x0A to the UUT as follows:
  1.047  DISP         [32] 58xxA CHAN 1 to UUT CH 1
  1.047  DISP         [32] 58xxA CHAN 2 to UUT CH 2
  1.047  DISP         [32] 58xxA CHAN 3 to UUT CH 3
  1.047  DISP         [32] 58xxA CHAN 4 to UUT CH 4

  1.048  MATH         @Chan = 1
  1.049  M5800                                                    C1
  1.050  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800

  1.051  MATH         @Chan = 2
  1.052  M5800                                                    C2
  1.053  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800

  1.054  MATH         @Chan = 3
  1.055  M5800                                                    C3
  1.056  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800

  1.057  MATH         @Chan = 4
  1.058  M5800                                                    C4
  1.059  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5800

  1.060  MATH         @Chan = 1
  1.061  M5800                                                    C1
  1.062  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5800

  1.063  MATH         @Chan = 2
  1.064  M5800                                                    C2
  1.065  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5800

  1.066  MATH         @Chan = 3
  1.067  M5800                                                    C3
  1.068  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5800

  1.069  MATH         @Chan = 4
  1.070  M5800                                                    C4
  1.071  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5800
  1.072  JMPL         CHANNELS_ISOLATION_CH1

  1.073  LABEL        CHANNEL_DELAY
  1.074  MATH         @Chan = 1
  1.075  M5800                                                    C1
  1.076  CALL         Sub Tek TDS5000B (1 yr) Channel Delay IEEE /5800
  1.077  JMPL         SIGNAL_OUT

  1.078  LABEL        CHANNELS_ISOLATION_CH1
  1.079  MATH         @Chan = 1
  1.080  M5800                                                    C1
  1.081  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5800

  1.082  MATH         @Chan = 2
  1.083  M5800                                                    C2
  1.084  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5800

  1.085  MATH         @Chan = 3
  1.086  M5800                                                    C3
  1.087  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5800

  1.088  MATH         @Chan = 4
  1.089  M5800                                                    C4
  1.090  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5800

  1.091  MATH         @Chan = 1
  1.092  M5800                                                    C1
  1.093  CALL         Sub Tek TDS5000B (1 yr) Sample Rate IEEE /5800
  1.094  JMPL         TRIG_CH1

  1.095  LABEL        DELTA_TIME_CH1
  1.096  MATH         @Chan = 1
  1.097  M5800                                                    C1
  1.098  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800

  1.099  MATH         @Chan = 2
  1.100  M5800                                                    C1
  1.101  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800

  1.102  MATH         @Chan = 3
  1.103  M5800                                                    C1
  1.104  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800

  1.105  MATH         @Chan = 4
  1.106  M5800                                                    C1
  1.107  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5800
  1.108  JMPL         CHANNEL_DELAY

  1.109  LABEL        TRIG_CH1
  1.110  MATH         @Chan = 1
  1.111  M5800                                                    C1
  1.112  CALL         Sub Tek TDS5000B (1 yr) Trig Time Acc IEEE /5800
  1.113  CALL         Sub Tek TDS5000B (1 yr) Trig Sens IEEE /5800
  1.114  JMPL         DELTA_TIME_CH1

  1.115  LABEL        SIGNAL_OUT
# The following signal out test is attached only with channel 3 input
  1.116  MATH         @Chan = 3
  1.117  M5800                                                    C1
  1.118  CALL         Sub Tek TDS5000B (1 yr) Signal Out IEEE /5800

  1.119  MATH         @Chan = 1
  1.120  M5800                                                    C1
  1.121  CALL         Sub Tek TDS5000B (1 yr) Probe Comp IEEE /5800

  1.122  LABEL        END
  1.123  IEEE2        *RST
  1.124  HEAD
  1.125  RSLT         =

  1.126  IF           @Abort
  1.127  DISP         {V E R I F I C A T I O N   A B O R T E D !}
  1.128  ELSE
  1.129  DISP         {V E R I F I C A T I O N   C O M P L E T E !}
  1.130  ENDIF

  1.131  END
